#!/usr/bin/env bash
## Test for issue1871 - darcs record . should work for tracked changes
## in a subdirectory even if the subdirectory itself is not known yet.
##
## Public domain - 2010 Eric Kow

. lib                           # Load some portability helpers.
rm -rf R                        # Another script may have left a mess.
darcs init      --repo R        # Create our test repos.

cd R
mkdir d                         # Change the working tree.
echo 'Example content.' > d/f
darcs add d/f
echo n | darcs record
echo n | darcs record . > log
not grep "None of the files" log
cd ..
